﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinEditors;

namespace WindowsFormsApplication76
{
    public partial class Form1 : Form
    {

        DataTable dt = new DataTable();

        public Form1()
        {
            InitializeComponent();
            
            dt.Columns.Add("ID", typeof(string));
            dt.Columns.Add("DisplayText", typeof(string));
            foreach (string port in System.IO.Ports.SerialPort.GetPortNames()) dt.Rows.Add(new object[] { port, port });
            dt.AcceptChanges();
            ultraGrid2.SetDataBinding(dt, null);

            ultraGrid2.DisplayLayout.Bands[0].ColHeadersVisible = false;
            ultraGrid2.DisplayLayout.GroupByBox.Hidden = true;
        }

        private void ultraGrid2_BeforeExitEditMode(object sender, BeforeExitEditModeEventArgs e)
        {
            ultraGrid1.ActiveCell.Value = ultraGrid2.ActiveCell.Row.Cells[0].Value;
        }

        private void ultraGrid2_ClickCell(object sender, ClickCellEventArgs e)
        {
            if (e.Cell.Column == ultraGrid2.DisplayLayout.Bands[0].Columns[0])
            {
                ultraGrid1.ActiveCell.Value = e.Cell.Value;
                ultraTextEditor1.CloseEditorButtonDropDowns();
            }
        }
    }
}
